-- MySQL dump 10.13  Distrib 5.5.37, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: wonnie
-- ------------------------------------------------------
-- Server version	5.5.37-0ubuntu0.12.04.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `achievementData`
--

DROP TABLE IF EXISTS `achievementData`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `achievementData` (
  `aID` int(11) DEFAULT NULL,
  `user` varchar(20) DEFAULT NULL,
  `status` int(11) DEFAULT NULL,
  `time` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `achievementData`
--

LOCK TABLES `achievementData` WRITE;
/*!40000 ALTER TABLE `achievementData` DISABLE KEYS */;
INSERT INTO `achievementData` VALUES (2,'guest',1,'2014-05-23 11:14:05'),(1,'asa',1,'2014-05-23 11:14:30'),(2,'asa',1,'2014-05-23 11:14:30'),(3,'asa',1,'2014-05-23 11:14:30'),(4,'asa',1,'2014-05-23 11:14:30'),(5,'asa',1,'2014-05-23 11:14:30'),(7,'asa',1,'2014-05-23 11:16:03'),(3,'guest',1,'2014-05-23 15:54:54');
/*!40000 ALTER TABLE `achievementData` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `achievements`
--

DROP TABLE IF EXISTS `achievements`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `achievements` (
  `aID` int(11) NOT NULL DEFAULT '0',
  `achievementDesc` varchar(500) DEFAULT NULL,
  `levelID` int(11) DEFAULT NULL,
  `achievementName` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`aID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `achievements`
--

LOCK TABLES `achievements` WRITE;
/*!40000 ALTER TABLE `achievements` DISABLE KEYS */;
INSERT INTO `achievements` VALUES (1,'Change your password.',1,'Is this thing on?'),(2,' Attempt one question.',1,'Mic check'),(3,'Answer one question correctly.',1,'How now brown cow'),(4,'Attempt five different questions.',1,'The human torch was denied a bank loan'),(5,' Answer five questions correctly.',1,'The arsonist has oddly shaped feet'),(6,'Go up five spots on the leaderboard in a 24 period, or get into the lead and stay there for 24 hours.',2,'Investing For Dummies'),(7,'Answer a question with 24 hours of when it was posted.',2,'9 Steps to Financial Freedom'),(8,'Obtain at least 10 \"probability\" points.',2,'A Random Walk Down Wall Street'),(9,'Obtain at least 20 \"financial markets\" points. ',2,'Common Stocks and Uncommon Profits'),(10,'Obtain at least 10 \"pricing\" points.',2,'How to Be a Billionaire');
/*!40000 ALTER TABLE `achievements` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `attempts`
--

DROP TABLE IF EXISTS `attempts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `attempts` (
  `user` varchar(20) DEFAULT NULL,
  `qID` int(11) DEFAULT NULL,
  `answer` float DEFAULT NULL,
  `correct` varchar(1) DEFAULT NULL,
  `attemptTime` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `attempts`
--

LOCK TABLES `attempts` WRITE;
/*!40000 ALTER TABLE `attempts` DISABLE KEYS */;
INSERT INTO `attempts` VALUES ('nkom',1,3.47,'1','2014-05-20 07:58:45'),('nkom',2,0,'1','2014-05-20 07:59:01'),('nkom',3,0,'1','2014-05-20 07:59:54'),('nkom',4,0,'1','2014-05-20 08:00:09'),('nkom',5,0,'1','2014-05-20 08:10:28'),('nkom',6,4.79,'1','2014-05-20 08:10:49'),('nkom',7,25000,'1','2014-05-20 10:13:11'),('nkom',8,-15000,'1','2014-05-20 10:14:00'),('nkom',9,200,'1','2014-05-20 10:15:00'),('nkom',10,8,'0','2014-05-20 10:18:46'),('nkom',10,8000,'1','2014-05-20 10:18:49'),('nkom',11,-2000,'1','2014-05-20 10:21:39'),('asa',1,1,'0','2014-05-22 23:26:46'),('guest',1,11,'0','2014-05-22 23:29:47'),('guest',1,2,'0','2014-05-22 23:33:06'),('asa',2,0,'1','2014-05-23 00:05:33'),('asa',3,0,'1','2014-05-23 00:06:35'),('asa',6,1,'0','2014-05-23 00:10:04'),('asa',8,2,'0','2014-05-23 00:10:09'),('asa',1,3.47,'1','2014-05-23 00:12:53'),('asa',4,0,'1','2014-05-23 00:13:01'),('asa',5,0,'1','2014-05-23 00:13:06'),('asa',6,0,'0','2014-05-23 00:13:17'),('asa',6,4.79,'1','2014-05-23 00:13:20'),('asa',7,25000,'1','2014-05-23 00:26:24'),('asa',8,-15000,'1','2014-05-23 00:26:36'),('asa',9,200,'1','2014-05-23 00:26:50'),('asa',10,8000,'1','2014-05-23 00:27:00'),('nkom',13,6,'0','2014-05-23 10:30:00'),('nkom',13,6,'0','2014-05-23 10:30:27'),('nkom',12,0.00869565,'0','2014-05-23 10:45:25'),('nkom',12,10.8696,'1','2014-05-23 10:46:20'),('nkom',13,0.621,'1','2014-05-23 10:55:18'),('nkom',14,0.651322,'1','2014-05-23 10:55:55'),('nkom',15,1,'1','2014-05-23 10:56:21'),('asa',15,1,'1','2014-05-23 11:16:01'),('nkom',18,0,'0','2014-05-23 14:28:09'),('nkom',18,20,'1','2014-05-23 14:28:18'),('nkom',19,7,'0','2014-05-23 14:39:20'),('nkom',19,7,'0','2014-05-23 14:39:22'),('nkom',19,0,'0','2014-05-23 14:54:03'),('nkom',19,1,'1','2014-05-23 14:54:08'),('guest',1,0,'0','2014-05-23 15:54:26'),('guest',1,3.47,'1','2014-05-23 15:54:37');
/*!40000 ALTER TABLE `attempts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `levels`
--

DROP TABLE IF EXISTS `levels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `levels` (
  `levelID` int(11) NOT NULL DEFAULT '0',
  `levelDesc` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`levelID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `levels`
--

LOCK TABLES `levels` WRITE;
/*!40000 ALTER TABLE `levels` DISABLE KEYS */;
INSERT INTO `levels` VALUES (1,'Testing, testing'),(2,'The Intelligent Investor');
/*!40000 ALTER TABLE `levels` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `questionDB`
--

DROP TABLE IF EXISTS `questionDB`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `questionDB` (
  `mQID` int(11) NOT NULL,
  `question` varchar(3000) DEFAULT NULL,
  `ansMin` float DEFAULT NULL,
  `ansMax` float DEFAULT NULL,
  `probPoints` int(11) DEFAULT NULL,
  `progPoints` int(11) DEFAULT NULL,
  `combPoints` int(11) DEFAULT NULL,
  `summary` varchar(200) DEFAULT NULL,
  `hasUpload` int(11) DEFAULT NULL,
  `questionPosted` datetime DEFAULT NULL,
  `isHW` int(11) DEFAULT NULL,
  PRIMARY KEY (`mQID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `questionDB`
--

LOCK TABLES `questionDB` WRITE;
/*!40000 ALTER TABLE `questionDB` DISABLE KEYS */;
INSERT INTO `questionDB` VALUES (1,'Do Exercise 6 in Section 1.2 and input your answer here.',0.57,0.57143,10,0,0,'Section 1.2, Exercise 6.',NULL,'2011-06-30 16:31:57',0),(2,'Write a program that tosses a (fair) coin n times and records whether or not the proportion of heads is between 0.4 and 0.6 after each set of n tosses. Repeat this experiment 2000 times. About how large must n be so that the proportion of heads is between 0.4 and 0.6 about 95% of the time? (Use <a href=\'coinTosses.m\' target=\'_blank\'>coinTosses.m</a> to simulate the tosses – right click and save.)',85,100,5,10,0,'How many times must you toss a coin to make sure heads come up close to half of the time?',NULL,'2011-06-30 16:31:57',0),(3,'In the early 1600\'s, Galileo was asked to explain the fact that, although the number of triples of integers from 1 to 6 with sum 9 is the same as the number of such triples with sum 10, when three dice are rolled, a 9 seemed to come up less often than 10 in the experience of gamblers. Simulate 10,000 rolls of three dice and note the proportion of 9\'s and proportion of 10\'s. Enter the difference you observe (proportion of 10\'s minus proportion of 9\'s). (Use <a href=\'Galileo.m\'>Galileo.m</a>.)',0.008,0.02,5,10,0,'Which comes up more often (as a sum) when you roll three dice – 9 or 10?',NULL,'2011-06-30 16:31:57',0),(4,'In racquetball, a player continues to serve as long as she is winning; a point is scored only when a player is serving and wins the volley. The 1st player to 21 points wins the game. Assume you serve first and have a probability of 0.6 of winning a point on your serve, and probability .5 when your opponent serves. What is the probability that you will win a game? Try estimating this by simulating 10,000 games. (Use <a href=\'racquetball.m\'>racquetball.m</a>.)',0.79,0.835,10,10,0,'What\'s your probability of winning a racquetball match if you have probability .6 of winning on your serve and .5 of winning on your opponent\'s serve?',NULL,'2011-06-30 16:31:57',0),(5,'In Las Vegas, a roulette wheel has 38 slots numbered 0, 00, 1, 2, ..., 36. The 0 and 00 are green and half of the remaining 36 slots are red and half are black. A croupier spins the wheel and throws in an ivory ball. If you bet $1 on red, you win $1 if the ball stops in a red slot and lost $1 otherwise. If you bet $1 on red 1000 times in a row, what is a good estimate for your total winnings? To make sure that your findings are accurate, run this simulation at least 500 times.  (Use <a href=\'rouletteRoll.m\'>rouletteRoll.m</a>.)',-57,-47,5,10,0,'Estimate your total winnings after betting $1 on red in roulette 1000 times in a row.',NULL,'2011-06-30 16:31:57',0),(6,'In Las Vegas, a roulette wheel has 38 slots numbered 0, 00, 1, 2, ..., 36. The 0 and 00 are green and half of the remaining 36 slots are red and half are black. A croupier spins the wheel and throws in an ivory ball. If you bet on red, you win the bet amount if the ball stops in a red slot and lose it otherwise. <br><br> Write down an ordered list of numbers from 1 to 1000 (your list now looks like 1, 2,...,1000). Bet the sum of the first and last on red. If you win, delete the first and last numbers from your list (so your list now looks like 2,3,...,999). If you lose, add the amount that you last bet to the end of your list (so your list now looks like 1,2,...,1000,1001). Then use the new list and bet the sum of the first and last (if there\'s only one number in the list, bet that amount). Continue until your list is empty. How much do you win when your list goes down to zero? (Use <a href=\'Labouchere.m\'>Labouchere.m</a>.)',500500,500500,10,10,0,'What are your total winnings using the list-making strategy in roulette?',NULL,'2011-06-30 16:31:57',0),(7,'One hundred people line up to board an airplane, but the first has lost his ticket and takes a random seat. Each subsequent passenger takes their assigned seat if available, otherwise a random empty seat. What is the probability that the last passenger to board finds his assigned seat occupied? (Your answer should be a number between 0 and 1.)',0.5,0.5,10,0,0,'If the first of 100 airplane passenger loses his ticket, what\'s the probability that the last passenger can sit in his assigned seat?',NULL,'2011-06-30 16:31:57',0),(8,'iPads are being packed at the factory 5 to a box. An evil factory worker puts one fake iPad into each box. The factory foreman draws a random iPad from each box to have tested. Let E be the event that if the foreman goes through 5 such boxes, he never finds a fake iPad. <br><br>What is the probability of E? (Input your answer as a decimal number.)',0.32768,0.32768,10,0,0,'What\'s the probability of finding a fake iPad if there\'s one in each of 5 boxes of 5 iPads?',NULL,'2011-06-30 16:31:57',0),(9,'Replace both 5\'s in the previous problem by n, so that the event E is now that the foreman goes through n boxes (with n iPads in each box) and never finds a fake. As n goes to infinity, what value does the probability of E approach?(Input your answer as a decimal number.)',0.36,0.368,10,0,0,'What\'s the probability of finding a fake iPad if you continue searching forever?',NULL,'2011-06-30 16:31:57',0),(10,'On average, how many times must a (fair, six-sided) die be thrown before one gets a six?',6,6,10,0,5,'On average, how many times must a (fair, six-sided) die be thrown before one gets a six?',NULL,'2011-06-30 16:31:57',0),(11,'Do Exercise 14 in Section 3.1 and input the numerical answer you get for part (b) here. (Clarification: The question is asking how many combinations are possible if you first hit two keys simultaneously, and then hit three keys one at a time.)',60,60,0,0,10,'Section 3.1, Exercise 14(b)',NULL,'2011-06-30 16:31:57',1),(12,'Do Exercise 14 in Section 3.1 and input the numerical answer you get for part (a) here.',120,120,0,0,10,'Section 3.1, Exercise 14(a)',NULL,'2011-06-30 16:31:57',1),(13,'Do Exercise 16 in Section 3.1 and input the numerical answer you get here for how many options for initials there are given that everybody has 1, 2, 3, or 4 initials.',475254,475254,0,0,10,'Section 3.1, Exercise 16',NULL,'2011-06-30 16:31:57',0),(14,'What is the probability that a student scores exactly 70% by guessing randomly on a 10-questions T/F test?',0.11,0.1172,0,0,10,'What is the probability that a student scores 70% by guessing randomly on a 10-questions T/F test?',NULL,'2011-06-30 16:31:57',0),(15,'What is the probability of being dealt a four-of-a-kind in poker (you are dealt five cards randomly out of a 52-card deck)? ',0.0002,0.00025,0,0,10,'Find the probability of being dealt a four-of-a-kind.',NULL,'2011-06-30 16:31:57',0),(16,'At a party on campus, a group of students determines that at least 75% of them are currently in their Sophomore Summer, at least 62.5% are out too late, and at least 90% have a class the next morning. What is the smallest percentage of students that are in all categories?',27.5,27.5,5,0,5,'Written homework 1, question 1',NULL,'2011-06-30 16:31:57',1),(17,'What is the probability that at least 2 of the presidents of the US have died on the same day of the year (39 of our past presidents have died).',0.87,0.88,5,0,5,'What is the probability that at least 2 US presidents died on the same day of the year?',NULL,'2011-06-30 16:31:57',1),(18,'Section 3.2, Exercise 20(a)',0.00008,0.00009,0,0,5,'Section 3.2, Exercise 20(a)',NULL,'2011-07-07 10:30:00',0),(19,'Section 3.2, Exercise 20(b)',0.000004,0.000005,0,0,5,'Section 3.2, Exercise 20(b)',NULL,'2011-07-07 10:30:00',0),(20,'Section 3.2, Exercise 20(c)',0.02,0.025,0,0,5,'Section 3.2, Exercise 20(c)',NULL,'2011-07-07 10:30:00',0),(21,'Section 5.1, Exercise 16',0.199,0.2,10,0,0,'Section 5.1, Exercise 16',NULL,'2011-07-07 10:30:00',1),(22,'Section 5.1, Exercise 18(a)',0.3,0.302,5,0,0,'Section 5.1, Exercise 18(a)',NULL,'2011-07-07 10:30:00',1),(23,'Section 5.1, Exercise 18(b)',0.14,0.145,5,0,0,'Section 5.1, Exercise 18(b)',NULL,'2011-07-07 10:30:00',1),(24,'Section 5.1, Exercise 18(c)',0.59,0.6,5,0,0,'Section 5.1, Exercise 18(c)',NULL,'2011-07-07 10:30:00',1),(25,'On average, how many times must a pair of dice be thrown before you roll double sixes?',36,36,10,0,0,'On average, how many times must a pair of dice be thrown before you roll double sixes?',NULL,'2011-07-07 10:30:00',0),(26,'On average, how many times must a pair of dice be thrown before you roll doubles (i.e. both dice come up the same)?',6,6,10,0,0,'On average, how many times must a pair of dice be thrown before you roll doubles (i.e. both dice come up the same)?',NULL,'2011-07-07 10:30:00',0),(27,'On average, how many times must a die be thrown before each number has come up at least once?',14.7,14.7,10,0,0,'On average, how many times must a die be thrown before each number has come up at least once?',NULL,'2011-07-07 10:30:00',0),(28,'What is the probability of being dealt a full house in poker (you are dealt five cards randomly out of a 52-card deck)? ',0.0014,0.0015,5,0,5,'What is the probability of being dealt a full house in poker (you are dealt five cards randomly out of a 52-card deck)? ',NULL,'2011-07-07 10:30:00',0),(29,'What is the probability of being dealt a two-pair in poker (you are dealt five cards randomly out of a 52-card deck)? ',0.047,0.048,5,0,5,'What is the probability of being dealt a two-pair in poker (you are dealt five cards randomly out of a 52-card deck)? ',NULL,'2011-07-07 10:30:00',0),(30,'Write a program that runs 5,000 simulations of 100 rolls of the loaded die, and outputs the proportion of simulations during which 5 consecutive sixes appeared. Enter your numerical answer here.<br><br>Use the file <a href=\'loadeddie.m\' target=\'_blank\'>loadeddie.m</a> to start.',0.1,0.14,5,10,0,'What is the probability of rolling 5 consecutive sixes if you\'re rolling a loaded die (loaded as described in Section 1.2, Exercise 6) 100 times?',NULL,'2011-07-08 23:30:00',0),(31,'How many ways can six indistinguishable letters be put in three mailboxes? <br><br> Hint: One representation of this is given by a sequence |LL|L|LLL| where the |\'s represent the partitions for the boxes and the L\'s the letters. Any possible way can be so described.',28,28,0,0,10,'How many ways can six indistinguishable letters be put in three mailboxes?',NULL,'2011-07-08 23:30:00',0),(32,'Write a program to simulate the Monty Hall program. For the numerical answer online, type in what your program gives as the proportion of times you win if you switch doors given a game where Monty lets you choose one of 100 doors, then opens 98 of the remaining doors, and offers you the chance to switch to the remaining closed door.<br><br>Use the file <a href=\'MontyHall.m\' target=\'_blank\'>MontyHall.m</a> to start, and remember not to change the inputs or outputs on the first line.',0.97,1,10,10,0,'What is the probability of winning the Monty Hall game show if you are shown 100 doors, behind one of which is a car?',NULL,'2011-07-08 23:30:00',0),(33,'Section 4.1, Exercise 2(a)',0.5,0.5,2,0,2,'Section 4.1, Exercise 2(a)',NULL,'2011-07-10 14:33:19',1),(34,'Section 4.1, Exercise 2(b)',0.25,0.25,2,0,2,'Section 4.1, Exercise 2(b)',NULL,'2011-07-10 14:33:19',1),(35,'Section 4.1, Exercise 2(c)',0.5,0.5,2,0,2,'Section 4.1, Exercise 2(c)',NULL,'2011-07-10 14:33:19',1),(36,'Section 4.1, Exercise 2(d)',0,0,2,0,2,'Section 4.1, Exercise 2(d)',NULL,'2011-07-10 14:33:19',1),(37,'Section 4.1, Exercise 2(e)',0.5,0.5,2,0,2,'Section 4.1, Exercise 2(e)',NULL,'2011-07-10 14:33:19',1),(38,'Suppose your friend has three different coins in her pocket -- one has heads on both sides, one has tails on both sides, and the other is a fair coin. She pulls one of the coins out at random and flips it. Given that it came up heads, what is the probability that the other side of the coin shows heads?',0.6,0.7,5,0,0,'Given a fair coin, a two-headed coin, and a two-tailed coin, what\'s the probability that the other side of the coin is a head if a flipped coin came up heads?',NULL,'2011-07-10 14:33:19',1),(39,'Section 4.1, Exercise 22',0.5,0.5,5,0,0,'Section 4.1, Exercise 22',NULL,'2011-07-10 14:33:19',1),(40,'Section 4.1, Exercise 4(a)',0.5,0.5,2,0,2,'Section 4.1, Exercise 4(a)',NULL,'2011-07-10 14:33:19',0),(41,'Section 4.1, Exercise 4(b)',0.3,0.31,2,0,2,'Section 4.1, Exercise 4(b)',NULL,'2011-07-10 14:33:19',0),(42,'Section 4.1, Exercise 4(c)',0.076,0.08,2,0,2,'Section 4.1, Exercise 4(c)',NULL,'2011-07-10 14:33:19',0),(43,'Section 4.1, Exercise 9(a)',0.3,0.34,5,0,0,'Section 4.1, Exercise 9(a)',NULL,'2011-07-10 14:33:19',0),(44,'Section 4.1, Exercise 9(b)',0.5,0.5,5,0,0,'Section 4.1, Exercise 9(b)',NULL,'2011-07-10 14:33:19',0),(45,'Simulate 100 coin flips and keep track of the longest run. Run 10000 simulations of this experiment and output the average longest run. Use the file <a href=\'runCounter.m\'>runCounter.m</a>',6.8,7.2,5,10,0,'Simulate 100 coin flips and keep track of the longest run. Run 10000 simulations of this experiment and output the average longest run.',NULL,'2011-07-11 18:00:00',0),(46,'Update the runCounter code so that it now outputs an approximation for the probability that we see a run of length 5 or longer in 100 flips of a coin. Use the file <a href=\'runCounter2.m\'>runCounter2.m</a>.',0.95,0.99,5,10,0,'What is the probability that we see a run of length 5 or greater when flipping a coin 100 times?',NULL,'2011-07-11 18:00:00',0),(47,'Update the Labouchere code so that it now outputs the average number of rolls of the wheel that it takes for you to win the game, among 1000 simulations with initial list (1,2,...,100). Use the file <a href=\'Labouchere2.m\'>Labouchere2.m</a>',235,245,0,10,0,'How long does it take to win at roulette using the Labouchere strategy described in question 6?',NULL,'2011-07-11 18:00:00',0),(48,'Let A and B be events such that P(A &cap; B) = 1/4, P(not A) = 1/3, and P(B) = 1/2. What is P(A &cup; B)?',0.9,0.92,10,0,0,'From practice midterm 1: Let A and B be events such that P(A &cap; B) = 1/4, P(not A) = 1/3, and P(B) = 1/2. What is P(A &cup; B)?',NULL,'2011-07-11 18:00:00',0),(49,'What is the probability that in a 10 question T/F exam, exactly 5 problems are true (given that each question is T or F with probability 1/2)?',0.24,0.26,5,0,0,'From practice midterm 1: What is the probability that in a 10 question T/F exam, exactly 5 problems are true (given that each question is T or F with probability 1/2)?',NULL,'2011-07-12 18:47:05',0),(50,'From practice midterm 1: What is the probability of exactly 10 problems being true in the above set-up?',0.0009,0.001,5,0,5,'From practice midterm 1: What is the probability of exactly 10 problems being true in the above set-up?',NULL,'2011-07-12 18:47:05',0),(51,'From practice midterm 1: What is the probability that in a 10 question T/F exam, exactly 5 problems are true given the following probability distribution?<br><br>The ten question exam could be thought of as a word consisting of letters T and F. There are 2^10 such words. Professor K decides that every word with exactly one T will be equally likely, every word with exactly 2 T\'s will be twice as likely as a word with exactly 1 T, every word with exactly 3 T\'s will be three times as likely as a word with exactly 1 T, and so on.',0.24,0.26,5,0,5,'From practice midterm 1: What is the probability that in a 10 question T/F exam, exactly 5 problems are true given the described probability distribution?',NULL,'2011-07-12 18:47:05',0),(52,'From practice midterm 1: What is the probability of exactly 10 problems being true in the above set-up?',0.0019,0.002,5,0,5,'From practice midterm 1: What is the probability of exactly 10 problems being true in the above set-up?',NULL,'2011-07-12 18:47:05',0),(53,'In a class of 25 students, 12 dance salsa, 15 dance merengue, and 5 dance bachata. The bachata dancers each know another dance. Only 2 students that do salsa don\'t do merengue. Only one student that knows bachata doesn\'t merengue, and 3 students dance all 3. How many students don\'t dance either of these 3 dances?',8,8,10,0,10,'From practice midterm 1: How many students don\'t know how to dance, given the following facts about the students?',NULL,'2011-07-12 18:47:05',0),(54,'From practice midterm 1: What is the probability that if you throw six dice, at least one number will appear EXACTLY once?',0.94,0.95,10,0,5,'From practice midterm 1: What is the probability that if you throw six dice, at least one number will appear EXACTLY once?',NULL,'2011-07-12 18:47:05',0),(55,'Alice and Bob play a game. Alice rolls a 6-sided die (sides 1,2,3,4,5,6) and Bob rolls a 4-sided die (sides 1,2,3,4). The winner of the game is whoever rolled higher (or, in the event of a tie, Bob wins). What is the probability of Alice winning?',0.58,0.6,10,0,0,'From practice midterm 1: Alice rolls a regular die, and Bob rolls a 4-sided die in the following game. Who wins?',NULL,'2011-07-12 18:47:05',0),(56,'From practice midterm 1: If the same 1000 poker players play in each weekly tournament and each have the same probability of winning, what\'s the probability that one of them will win twice in one year?',0.74,0.742,10,0,10,'From practice midterm 1: If the same 1000 poker players play in each weekly tournament and each have the same probability of winning, what\'s the probability that one of them will win twice in one year',NULL,'2011-07-12 18:47:05',0),(57,'If both Nadal and Federer\'s probability of winning a match in the French Open is 0.95 and they don\'t meet each other until the final, what is the probability that the final will be Fed-Nadal?',0.54,0.55,5,0,0,'From practice midterm 1: What is the probability that Fed and Nadal will meet in the final of the French Open?',NULL,'2011-07-12 18:47:05',0),(58,'If Nadal beats Fed in the French Open with probability 0.8, and they both beat everyone else with a probability of 0.95, what is the probability that Federer will win the French Open? (Note: Fed has to get to the final, and the final may or may not have Nadal in it.)',0.29,0.3,5,0,0,'From practice midterm 1: What is the probability that Fed will win the French Open?',NULL,'2011-07-12 18:47:05',0),(59,'A doctor gives a test to a patient for a particular disease, which we\'ll call D. D appears in 1 out of every 500 people. Experience shows that 97% of cases in which the patient has D the test is positive, and in 98% of the cases in which the patient does not have D, the test is negative. If the test comes out positive, what is the probability that the patient has D? ',0.08,0.09,10,0,0,'From practice midterm 1: What is the probability that if a test for disease D comes out positive, the patient actually has D?',NULL,'2011-07-12 18:47:05',0),(60,'If Heidi and Taylor each flip a fair coin 100 times, what\'s the probability that they both end up with the same number of heads?',0.05,0.06,10,0,5,'If Heidi and Taylor each flip a fair coin 100 times, what\'s the probability that they both end up with the same number of heads?',NULL,'2011-07-17 17:26:32',0),(61,'Suppose that 150 indistinguishable donut holes are to be distributed among 5 boxes. The manager at Dunkin Donuts wants there to be a fairly even distribution: at least 25 donut holes per box. If the donut holes are distributed randomly among the boxes by a very distracted worker at Dunkin Donuts, what is the probability that the distribution will be to the manager\'s liking?',0.001,0.0011,5,0,10,'What\'s the probability that if you throw 150 Munchkins into 5 boxes randomly, each box will have at least 25 Munchkins in it?',NULL,'2011-07-17 17:26:32',0),(62,'During dinner, 20 pieces of food fall on the floor -- 7 of the 20 are pieces of cheese. If my dogs manage to grab 15 pieces of food before I can clean up, what is the probability that they have eaten more than half of the cheese?',0.96,0.97,10,0,10,'If my dogs eat 15 pieces of food when 20 pieces drop on the floor, what is the probability that they eat more than half of the pieces of cheese among them?',NULL,'2011-07-17 17:28:44',0),(63,'Suppose that Alice and Bob play the dice game, where Alice has a 125-sided die and Bob has a 110-sided die and the winner of the game is the person who rolls the highest number. In the event of a tie, the point goes to the person playing the smaller die (in this case, Bob). <br><br> Simulate 50,000 plays of this game and find the probability that Alice wins. Use the file <a href=\'diceGame.m\'>diceGame.m</a>.',0.55,0.56,10,10,0,'If Alice tosses a 125-sided die and Bob tosses a 110-sided die in the dice game, what\'s the probability that Alice wins?',NULL,'2011-07-17 17:26:32',0),(64,'Your neighbor, a crazy cat lady, asks you to feed 5 of her 60 cats. 12 of the cats will scratch you if you come near them, and the rest are perfectly cuddly. If you randomly pick 5 of the cats to feed, what is the probability that you get no more than 1 scratch?  (Assume you\'re feeding the cats with replacement -- this is a disorganized hovel and the cats keep running back inside the house, so you don\'t know if you\'ve fed them or not!)',0.737,0.742,5,0,5,'If 12 of 60 cats will scratch you, and you go to feed 5 of them (with replacement), what is the probability that you get no more than one scratch?',NULL,'2011-07-18 18:12:00',0),(65,'In the previous problem\'s set up, what is the probability that the first time you get a scratch is when you feed the sixth cat (assume you\'re feeding the cats with replacement -- this is a disorganized hovel and the cats keep running back inside the house, so you don\'t know if you\'ve fed them or not!)?',0.06,0.07,5,0,5,'In the previous problem\'s set up, what is the probability that the first time you get a scratch is when you feed the sixth cat?',NULL,'2011-07-18 18:12:00',0),(66,'In the previous problem\'s set up, what is the probability that you feed 30 cats before you get 10 scratches?  (Assume you\'re feeding the cats with replacement -- this is a disorganized hovel and the cats keep running back inside the house, so you don\'t know if you\'ve fed them or not!)',0.01,0.012,5,0,5,'In the previous problem\'s set up, what is the probability that you feed 30 cats before you get 10 scratches?',NULL,'2011-07-18 18:12:00',0),(67,'In the previous problem\'s set up, what is the expected number of cats you feed until you get scratched for the first time?  (Assume you\'re feeding the cats with replacement -- this is a disorganized hovel and the cats keep running back inside the house, so you don\'t know if you\'ve fed them or not!)',5,5,5,0,5,'In the previous problem\'s set up, what is the expected number of cats you feed until you get scratched for the first time?',NULL,'2011-07-18 18:12:00',0),(68,'In the previous problem\'s set up, what is the expected number of scratches you get if you feed 10 cats?  (Assume you\'re feeding the cats with replacement -- this is a disorganized hovel and the cats keep running back inside the house, so you don\'t know if you\'ve fed them or not!)',2,2,5,0,5,'In the previous problem\'s set up, what is the expected number of scratches you get if you feed 10 cats?',NULL,'2011-07-18 18:12:00',0),(69,'If you bet $10 on red in roulette in Las Vegas, what are your expected winnings?<br><br>Assume that you\'re playing on a wheel with 18 black slots, 18 red slots, a 0 and a 00 (which are green). if you bet $10 on red, you win $10 if the ball lands on red, and lose $10 if the ball lands on black, 0, or 00.',-0.53,-0.52,10,0,0,'If you bet $10 on red in roulette in Las Vegas, what are your expected winnings?',NULL,'2011-07-18 18:12:00',0),(70,'If you bet $10 on red in roulette in Monte Carlo (1), what are your expected winnings?<br><br>Assume that you\'re playing on a wheel with 18 black slots, 18 red slots, a 0 and a 00 (which are green). if you bet $10 on red, you win $10 if the ball lands on red, and lose $10 if the ball lands on black. If the ball lands on 0 or 00, you lose $5. ',-0.269,-0.26,10,0,0,'If you bet $10 on red in roulette in Monte Carlo (1), what are your expected winnings?',NULL,'2011-07-18 18:12:00',0),(71,'If you bet $10 on red in roulette in Monte Carlo (2), what are your expected winnings?<br><br>Assume that you\'re playing on a wheel with 18 black slots, 18 red slots, a 0 and a 00 (which are green). If you bet $10 on red, you win $10 if the ball lands on red, and lose $10 if the ball lands on black. If the ball lands on 0 or 00, your bet is put in \'prison,\' meaning that if on the next roll you land on red, you don\'t lose (or win) anything, but if it doesn\'t land on red in the next roll, you lose the $10.',-0.28,-0.27,10,0,0,'If you bet $10 on red in roulette in Monte Carlo (2), what are your expected winnings?',NULL,'2011-07-18 18:12:00',0),(72,'If you bet $10 on 17 in roulette in Las Vegas, what are your expected winnings?<br><br>Assume that you\'re playing on a wheel with 18 black slots, 18 red slots, a 0 and a 00 (which are green). If you bet $10 on 17, you win $46 if the ball lands on 17, and lose $10 if the ball lands on anywhere else.',-8.53,-8.52,10,0,0,'If you bet $10 on number 17 in roulette in Las Vegas, what are your expected winnings?',NULL,'2011-07-18 18:12:00',0),(73,'A random walk on the number line is a sequence of integers, starting at 0 and increasing by 1 with probability 1/2 and decreasing by 1 with probability 1/2. If you start at 0 on the number line of integers between -20 and 20 (that is, you have the line -20, -19, ..., -1, 0, 1, ..., 19, 20) and perform a random walk, how long should the walk take to return to 0, on average? Note that if you are at one of the end points (-20 or 20) you turn around automatically on your next move. <br><br> Use the file <a href=\'randomwalk1.m\' target=\'_blank\'>randomwalk1.m</a>. For the numerical answer, type in the output of randomwalk1(20,10000). ',38,42,10,10,0,'Compute the expected length of a 1-dimensional random walk on a path of length 20.',NULL,'2011-07-18 20:12:00',0),(74,'A random walk on the grid is a sequence of ordered pairs of integers, starting at (0,0) and moving to any one of the four adjacent points on the grid with probability 1/4. If you start at the origin (0,0) on a 5x5 grid (that is, you are on the plane and restricting your random walk to between -5 and 5 in both the x and y directions, for a total of 100 points in the grid) and perform a random walk, how long should the walk take to return to (0,0), on average? <br><br> Use the file <a href=\"randomwalk2.m\" target=\"_blank\">randomwalk2.m</a>. For the numerical answer, type in the output of randomwalk2(5,5000). ',109,121,10,10,0,'Compute the expected length of a 2-dimensional random walk on a 5 x 5 grid.',NULL,'2011-07-18 20:12:00',0),(75,'Section 6.1, Exercise 4',-0.053,-0.05,5,0,0,'Section 6.1, Exercise 4',NULL,'2011-07-18 20:12:00',0),(76,'Section 6.1, Exercise 8 (enter the expected number of boys)',0.875,0.875,5,0,0,'Section 6.1, Exercise 8 (enter the expected number of boys)',NULL,'2011-07-18 20:12:00',0),(77,'Section 6.1, Exercise 8 (enter the expected number of girls)',0.875,0.875,5,0,0,'Section 6.1, Exercise 8 (enter the expected number of girls)',NULL,'2011-07-18 20:12:00',0),(78,'Section 6.1, Exercise 5',-0.053,-0.05,5,0,0,'Section 6.1, Exercise 5',NULL,'2011-07-18 20:12:00',0),(79,'Section 6.1, Exercise 20(b) (enter the expected value)',11,11,5,0,0,'Section 6.1, Exercise 20(b) (enter the expected value)',NULL,'2011-07-18 20:12:00',0),(80,'Section 6.1, Exercise 20(d) (enter the expected utility in the case of utility function log(n))<br><br>Warning: If you use Google as your calculator, note that Google takes \"log\" to mean base 10. Use \"ln.\"',1.38,1.4,5,0,0,'Section 6.1, Exercise 20(d) (enter the expected utility in the case of utility function log(n))',NULL,'2011-07-18 20:12:00',0),(81,'Section 5.1, Exercise 8',0.125,0.125,10,0,0,'Section 5.1, Exercise 8',NULL,'2011-07-18 20:12:00',0),(82,'Section 5.1, Exercise 14(a)',0.00004,0.0000454,5,0,0,'Section 5.1, Exercise 14(a)',NULL,'2011-07-18 20:12:00',0),(83,'Section 5.1, Exercise 14(b)',693,694,5,0,0,'Section 5.1, Exercise 14(b)',NULL,'2011-07-18 20:12:00',0),(84,'Section 5.1, Exercise 22',0.007,0.008,10,0,0,'Section 5.1, Exercise 22',NULL,'2011-07-18 20:12:00',0),(85,'Section 5.1, Exercise 38(a)',0.395,0.4,5,0,5,'Section 5.1, Exercise 38(a)',NULL,'2011-07-18 20:12:00',0),(86,'Section 5.1, Exercise 38(b)',0.44,0.44,5,0,5,'Section 5.1, Exercise 38(b)',NULL,'2011-07-18 20:12:00',0),(87,'Section 5.1, Exercise 40(a)',0.2,0.216,5,0,5,'Section 5.1, Exercise 40(a)',NULL,'2011-07-18 20:12:00',0),(88,'Section 5.1, Exercise 40(b)',0.15,0.16,5,0,5,'Section 5.1, Exercise 40(b)',NULL,'2011-07-18 20:12:00',0),(89,'Section 3.2, Exercise 19(a)',0.00000007,0.0000000723,5,0,5,'Section 3.2, Exercise 19(a)',NULL,'2011-07-18 20:12:00',0),(90,'Section 3.2, Exercise 19(b)',0.04,0.044,5,0,5,'Section 3.2, Exercise 19(b)',NULL,'2011-07-18 20:12:00',0),(91,'Section 3.2, Exercise 19(c)',0.31,0.32,5,0,5,'Section 3.2, Exercise 19(c)',NULL,'2011-07-18 20:12:00',0),(92,'In a game of bridge, West has no aces. What is the probability of his partner having no aces? (Remember, each player has 13 cards in bridge.)',0.18,0.2,5,0,5,'In a game of bridge, West has no aces. What is the probability of his partner having no aces?',NULL,'2011-07-20 14:06:01',0),(93,'In a game of bridge, West has no aces. What is the probability of his partner having 2 or more aces?',0.4,0.41,5,0,5,'In a game of bridge, West has no aces. What is the probability of his partner having 2 or more aces?',NULL,'2011-07-20 14:06:01',0),(94,'In a game of bridge, West has exactly 1 ace. What is the probability of his partner having no aces?',0.28,0.3,5,0,5,'In a game of bridge, West has exactly 1 ace. What is the probability of his partner having no aces?',NULL,'2011-07-20 14:06:01',0),(95,'In a game of bridge, West has exactly 1 ace. What is the probability of his partner having 2 or more aces?',0.25,0.3,5,0,5,'In a game of bridge, West has exactly 1 ace. What is the probability of his partner having 2 or more aces?',NULL,'2011-07-20 14:06:01',0),(96,'Rank the following from most likely to least likely to occur (e.g. if you think that (2) is most likely, (3) is next most likely, and (1) is least likely, type in 231): <br><br> (1) A fair coin lands on heads. <br> (2) 3 independent trials, each of which is a success with probability .8, all result in successes. <br>(3) 7 independent trials, each of which is a success with probability .9, all result in successes.',213,213,5,0,5,'Rank the described events from most to least likely.',NULL,'2011-07-20 14:06:01',0),(97,'Section 6.1, Exercise 1',-0.12,-0.1,10,0,5,'Section 6.1, Exercise 1',NULL,'2011-07-21 14:10:56',0),(98,'Section 6.1, Exercise 2',-0.5,-0.5,10,0,10,'Section 6.1, Exercise 2',NULL,'2011-07-21 14:10:56',0),(99,'Section 6.1, Exercise 3 (enter the student\'s expected height in inches)',70,70.1,10,0,0,'Section 6.1, Exercise 3 (enter the student\'s expected height in inches)',NULL,'2011-07-21 14:10:56',0),(100,'Section 6.1, Exercise 12',0,0,10,0,0,'Section 6.1, Exercise 12',NULL,'2011-07-21 14:10:56',0),(101,'Section 6.1, Exercise 13',45,45,10,0,0,'Section 6.1, Exercise 13',NULL,'2011-07-21 14:10:56',0),(102,'In the hat check problem, it was assumed that N people check their hats and the hats are handed back at random. Let X<sub>j</sub> = 1 if the j<sup>th</sup> person gets her hat and 0 otherwise. Enter the expected value of X<sub>j</sub> if N = 100 people check their hats and get them returned at random.',0.01,0.01,5,0,5,'Section 6.1, Exercise 14 (Enter the expected value of X<sub>j</sub> if N = 100 people check their hats and get them returned at random.)',NULL,'2011-07-21 14:10:56',0),(103,'In the hat check problem, it was assumed that N people check their hats and the hats are handed back at random. Let X<sub>j</sub> = 1 if the j<sup>th</sup> person gets her hat and 0 otherwise. Enter the expected value of X<sub>j</sub>X<sub>k</sub> if N = 100 people check their hats and get them returned at random and j &#8800; k.',0.0001,0.00011,5,0,5,'Section 6.1, Exercise 14 (Enter the expected value of X<sub>j</sub>X<sub>k</sub> if N = 100 people check their hats and get them returned at random and j &#8800; k.)',NULL,'2011-07-21 14:10:56',0),(104,'Gerolamo Cardano, in his book <i>The Gambling Scholar</i>, written in the early 1500\'s, considers the following carnival game. There are six dice. Each of the dice has five blank sides. The sixth side has a number between 1 and 6 -- a different number on each die. The six dice are rolled and the player wins a prize depending on the total of the numbers which turn up.\r\n\r\nFind, as Cardano did, the expected total without finding its distribution.',3.5,3.5,5,0,0,'Section 6.1, Exercise 16(a)',NULL,'2011-07-21 14:10:56',0),(105,'Exactly one of 20 keys opens a certain door. If you try the keys, one after another, what is the expected number of keys that you will have to try before success?',10.5,10.5,10,0,10,'Exactly one of 20 keys opens a certain door. If you try the keys, one after another, what is the expected number of keys that you will have to try before success?',NULL,'2011-07-21 14:10:56',0),(106,'Section 6.1, Exercise 15 (enter your expected winnings in this game)',0.2,0.2,10,0,5,'Section 6.1, Exercise 15 (enter your expected winnings in this game)',NULL,'2011-07-21 15:12:06',0),(107,'Simulate the following game: you start with an initial fortune of $10. You have an urn which contains 10 white balls and 5 black balls. You draw the balls out one at a time without replacement until all the balls are gone. On each draw, you bet 1/5 of your current fortune on drawing a white ball. What is your final fortune?<br><br>Use the file <a href=\'BWurn.m\' target=\'_blank\'>BWurn.m</a>.',20.2,20.3,10,10,0,'Simulate a general version of the game in Question 101 and enter your fortune at the game\'s end.',NULL,'2011-07-21 15:12:06',0),(108,'X is a random variable with E[X] = 100 and V(X) = 15. Find E[X<sup>2</sup>].',10015,10015,2,0,0,'Section 6.2, Exercise 4(a)',0,'2011-07-22 15:16:48',0),(109,'X is a random variable with E[X] = 100 and V(X) = 15. Find E[3X+10].',310,310,2,0,0,'Section 6.2, Exercise 4(b)',0,'2011-07-22 15:17:26',0),(110,'X is a random variable with E[X] = 100 and V(X) = 15. Find E[-X]..',-100,-100,2,0,0,'Section 6.2, Exercise 4(c)',0,'2011-07-22 15:18:02',0),(111,'X is a random variable with E[X] = 100 and V(X) = 15. Find V(-X).',15,15,2,0,0,'Section 6.2, Exercise 4(d)',0,'2011-07-22 15:18:20',0),(112,'X is a random variable with E[X] = 100 and V(X) = 15. Find D(-X) (the standard deviation of -X).',3.8,3.9,2,0,0,'Section 6.1, Exercise 4(e)',0,'2011-07-22 15:19:03',0),(113,'Write a computer program to calculate the mean and variance of a distribution which you specify as data. Use the program to compare the variances for the following densities: \r\n<br><br>\r\nA = [-2   -1    0    1     2;<br>\r\n     3/11 2/11 1/11 2/11 3/11]<br>\r\nB = [-2   -1    0        1     2;<br>\r\n     1/11 2/11 5/11 2/11 1/11]<br><br>\r\n\r\n(However, your code should work for any distributions A and B.)<br><br>\r\n\r\nUse the file <a href=\"compareVariances.m\" target=\"_blank\">compareVariances.m</a>.\r\n<br><Br>\r\n<b>Hint</b>: If you are having trouble with your submitted code and you aren\'t sure why, make sure it works for inputs where A and B are constants. That is, if A and B are both 2 by 1 matrices.',1.4,1.5,10,10,0,'Section 6.2, Exercise 6 (enter the absolute value of the difference between the two variances). ',0,'2011-07-22 15:35:12',0),(114,'Suppose that P(not A &#8745; not B) = .3, P(not A) = .5, and P(not B) = .6. Find P(A &#8745; B).',0.2,0.2,10,0,0,'Suppose that P(not A &#8745; not B) = .3, P(not A) = .5, and P(not B) = .6. Find P(A &#8745; B).',0,'2011-07-23 17:00:42',0),(115,'In 110 Bernoulli trials, each with probability p = .3 of success, what is the probability that the fraction of times that a trial ended in success is within .05 of its expected value?\r\n<br><br>\r\nThe Law of Large Numbers says that if you have a large number of Bernoulli trials, and X is the random variable (# successes)/(# trials), then the outcomes for X should be near E[X]. Simulate this behavior with a Matlab script, by simulating this experiment 10,000 times. Use the file <a href=\"LoLN.m\" target=\"_blank\">LoLN.m</a>.',0.72,0.76,10,10,0,'In 110 Bernoulli trials, each with probability p = .3 of success, what is the probability that the fraction of times that a trial ended in success is within .05 of its expected value?',0,'2011-07-23 22:16:41',0),(116,'Simulate 100000 plays of the game described in Section 6.1, Exercise 20 of your book, where you pay $12 to play the game, and you win $2<sup>k</sup> if the first head turns up on the k<sup>th</sup> toss and k &#8804; 8, and otherwise you win $2<sup>8</sup>. Use the file <a href=\"exponentialPayout.m\" target=\"_blank\">exponentialPayout.m</a>.',-3.5,-2.5,10,10,0,'Simulate 100000 plays of the game described in Section 6.1, Exercise 20 of your book, where you pay $12 to play the game, and you win a maximum of $2<sup>8</sup>.',0,'2011-07-24 18:50:21',0),(117,'A drunk has a set of 17 keys in his pocket, exactly one of which will open his door. He tries keys at random, putting them aside if they don\'t work and trying the next. What is the probability that he tries 3 keys before getting into his house?',0.058,0.06,5,0,5,'What is the probability that a drunk with 17 keys has to try 3 keys before getting into his house, assuming he does not replace the keys after trying them?',0,'2011-07-26 15:12:49',0),(118,'A drunk has a set of 17 keys in his pocket, exactly one of which will open his door. He tries keys at random, putting them back in his pocket if they don\'t work and trying the next. What is the probability that he tries 3 keys before getting into his house?',0.05,0.0522,5,0,5,'What is the probability that a drunk with 17 keys has to try 3 keys before getting into his house, assuming he replaces the keys after trying them?',0,'2011-07-26 15:14:09',0),(119,'A cab was involved in a hit and run accident at night. 85% of the cabs in the city are green, and 15% are blue. A witness who is accurate 80% of the time identified the cab as blue. What is the probability that the witness is wrong? ',0.58,0.6,5,0,0,'How dependable is a witness who says the cab involved in a night time hit-and-run is blue, if 85% of the cabs in the city are green?',0,'2011-07-26 15:23:37',0),(120,'A street vendor in NYC is selling Gucci bags. Each bag is a fake with probability .9. If you purchase 10 bags, what\'s the probability that at least one of them is a real Gucci bag?',0.65,0.7,5,0,5,'A street vendor in NYC is selling Gucci bags. Each bag is a fake with probability .9. If you purchase 10 bags, what\'s the probability that at least one of them is a real Gucci bag?',0,'2011-07-26 15:24:30',0),(121,'Suppose that at the beginning of term, Professor McGonagall knows she will have 100 students, and she must have at least 10 A\'s, at least 15 B\'s, at least 10 C\'s, at least 5 D\'s, and at least 1 F. So for example, one possible distribution she can have at the end of the term is: 20 A\'s, 40 B\'s, 15 C\'s, 20 D\'s, and 5 F\'s. How many different grade distributions are possible?',595665,595665,0,0,10,'How many different grade distributions are possible if there must be at least 10 A\'s, at least 15 B\'s, at least 10 C\'s, at least 5 D\'s, and at least 1 F?',0,'2011-07-26 15:27:46',0),(122,'Assuming that each acceptable grade distribution described in the previous problem is equally likely, what is the probability that Professor McGonagall fails no more than 3 students?',0.181,0.2,5,0,10,'Assuming that each acceptable grade distribution described in the previous problem is equally likely, what is the probability that no more than 3 students fail?',0,'2011-07-26 15:30:51',0),(123,'Morano Gelato purchases sugar cones in lots of size 10. The policy of the shipper is to inspect 2 different cones randomly per lot, and accept the lot only if both cones are not broken. If 30% of the lots have 4 broken cones, 60% of the lots have 1 broken cone, and 10% of the lots have no broken cones, what proportion of lots does the shipper reject?',0.31,0.33,10,0,10,'What proportion of lots checked by hand does a sugar cone shipper reject given the following information?',0,'2011-07-26 16:18:21',0),(124,'The shipper buys a poorly programmed machine to test the cones, which puts the cones back after testing them (so it may possibly test the same component twice). If the shipper has the same policy and the number of defective cones per lot is the same as in the previous question, exactly what proportion of lots does the shipper reject? ',0.3,0.31,10,0,10,'What proportion of lots checked by a stupid machine does a sugar cone shipper reject given the following information?',0,'2011-07-26 16:18:53',0),(125,'Suppose now that the shipper starts getting extremely large lots. The policy of the shipper is still to inspect two per lot (even though the size of the lot is now huge), and accept the lot only if both cones are not broken. If 30% of the lots have a proportion of .4 broken cones, 60% of the lots have a proportion of .1 broken cones, and 10% of the lots have no broken cones, approximate the proportion of lots that the shipper rejects.',0.27,0.31,10,0,10,'Approximately what proportion of extremely large lots does a sugar cone shipper reject?',0,'2011-07-26 16:20:09',0),(126,'Suppose Morano Gelato had 10 first-time customers this weekend, and 12 different flavors. If everyone tried a single flavor, what is the probability that no 2 customers tried the same flavor?',0.0038,0.004,5,0,10,'Suppose Morano Gelato had 10 first-time customers this weekend, and 12 different flavors. If everyone tried a single flavor, what is the probability that no 2 customers tried the same flavor?',0,'2011-07-28 14:05:56',0),(127,'Section 9.1, Exercise 1(a)\r\n<br><br>\r\nDo not use the \"half correction\" mentioned in the chapter.',0.158,0.2,5,0,0,'Section 9.1, Exercise 1(a)',0,'2011-07-28 14:37:49',0),(128,'Section 9.1, Exercise 1(b)<br><br>\r\nDo not use the \"half correction\" mentioned in the chapter.',0.576,0.632,5,0,0,'Section 9.1, Exercise 1(b)',0,'2011-07-28 14:38:20',0),(129,'Section 9.1, Exercise 1(c)\r\n<br><br>\r\nDo not use the \"half correction\" mentioned in the chapter.',0.0026,0.004,5,0,0,'Section 9.1, Exercise 1(c)',0,'2011-07-28 14:38:45',0),(130,'Section 9.1, Exercise 1(d)\r\n<br><br>\r\nDo not use the \"half correction\" mentioned in the chapter.',0.88,0.904,5,0,0,'Section 9.1, Exercise 1(d)',0,'2011-07-28 14:39:36',0),(131,'Section 9.1, Exercise 2(a)\r\n<br><br>\r\nDo not use the \"half correction\" mentioned in the chapter.',0.056,0.1,5,0,0,'Section 9.1, Exercise 2(a)',0,'2011-07-28 14:40:09',0),(132,'Section 9.1, Exercise 2(b)\r\n<br><br>\r\nDo not use the \"half correction\" mentioned in the chapter.',0.02,0.021,5,0,0,'Section 9.1, Exercise 2(b)',0,'2011-07-28 14:40:31',0),(133,'Section 9.1, Exercise 2(c)\r\n<br><br>\r\nDo not use the \"half correction\" mentioned in the chapter.',0.001,0.00104,5,0,0,'Section 9.1, Exercise 2(c)',0,'2011-07-28 14:41:07',0),(134,'Section 9.1, Exercise 8 (enter the probability p)',0.05,0.15,5,0,0,'Section 9.1, Exercise 8 (enter the probability p)',0,'2011-07-28 14:47:15',0),(135,'Section 9.1, Exercise 8 (enter the number of members)',900,900,5,0,0,'Section 9.1, Exercise 8 (enter the number of members)',0,'2011-07-28 14:47:47',0),(136,'Section 9.1, Exercise 10\r\n<br><br>\r\nDo not use the \"half correction\" mentioned in the chapter.',0.0105,0.011,10,0,0,'Section 9.1, Exercise 10',0,'2011-07-28 15:19:25',0),(137,'Section 9.2, Exercise 2',0.31,0.32,10,0,0,'Section 9.2, Exercise 2',0,'2011-07-29 17:13:14',0),(138,'Section 9.2, Exercise 10 (enter what the LoLN tells you is a good approximation for the average of Peter\'s fortune)',0,0,5,0,0,'Section 9.2, Exercise 10 (enter what the LoLN tells you is a good approximation for the average of Peter\'s fortune)',0,'2011-07-29 17:14:26',0),(139,'Section 9.2, Exercise 10 (enter what the CLT says is a 95% confidence interval for how much Peter has lost or won after 10,000 plays -- that is, enter the <b>length of the confidence interval</b>)',3.9,4.1,5,0,0,'Section 9.2, Exercise 10 (enter what the CLT says is a 95% confidence interval for how much Peter has lost or won after 10,000 plays)',0,'2011-07-29 17:16:30',0),(140,'Section 9.2, Exercise 6(a) -- enter the variance',0.35,0.4,5,0,0,'Section 9.2, Exercise 6(a)',0,'2011-07-29 17:17:43',0),(141,'Section 9.2, Exercise 6(b)',0.158,0.21,5,0,0,'Section 9.2, Exercise 6(b)',0,'2011-07-29 17:18:22',0),(142,'Section 9.2, Exercise 6(c)',0.044,0.05,5,0,0,'Section 9.2, Exercise 6(c)',0,'2011-07-29 17:18:53',0),(143,'Section 9.2, Exercise 6(d)',0.9992,1,5,0,0,'Section 9.2, Exercise 6(d)',0,'2011-07-29 17:20:02',0),(144,'Section 9.2, Exercise 6(e)',54,63,5,0,0,'Section 9.2, Exercise 6(e)',0,'2011-07-29 17:21:08',0),(145,'Find the average of 1000 digits randomly selected between 0 and 9. Is this average within 2 standard deviations to the left and 1 standard deviation to the right of the expected value? Repeating this experiment 10,000 times, find the proportion of times this test is passed, and output that proportion.\r\n<br><br>\r\nUse the file <a href=\"randomDigs.m\" target=\"_blank\">randomDigs.m</a>.',0.798,0.84,10,10,0,'Section 9.2, Exercise 4',0,'2011-07-29 17:44:33',0),(146,'Let X<sub>1</sub>, ..., X<sub>100</sub> be an independent trials process where E[X<sub>i</sub>] = .25 and V(X<sub>i</sub>) = 1 for each i. Let X = X<sub>1</sub> + ... + X<sub>n</sub>. Estimate the probability P(15 < X < 35) using the Central Limit Theorem. (Your answer should match what we\'d find using z-tables, so you can check your output that way for a number of different inputs.)\r\n<br><br> \r\nUse the file <a href=\"confidence.m\" target=\"_blank\">confidence.m</a>.\r\n<br><br>\r\nNote: This is just a slightly more general version of the code needed in Question 145!',0.68,0.7,10,10,0,'Estimate the probability that X is between 15 and 35 where X is the sum of the random variables in the independent trials process described here.',0,'2011-07-31 13:06:35',0),(147,'Your function should give a value k such that we get a probability of 75% that the random variable in question will fall within the range (E[X] - kD(X), E[X] + kD(X)). <br><br> Recall that for input conf = .9545, your output should be around 2, as we\'ve seen in class. Use the file <a href=\"standardDeviations.m\" target=\"_blank\">standardDeviations.m</a>.',1.1,1.2,10,10,0,'Write a function which estimates the dispersion around the mean which gives a 75% confidence interval.',0,'2011-07-31 13:51:33',0),(148,'How many people need to be polled to estimate the proportion of Democrats in a population within a 90% confidence interval with a 1% margin of error? \r\n<br><br>\r\nHint: In class, we solved this question for error = .03 and conf = .95 (when we found a sample size which gave a 95% confidence interval of length .06).\r\n<br><br>\r\nUse the file <a href=\"pollingSample.m\" target = \"_blank\">pollingSample.m</a>.',6760,6807,10,10,0,'How many people need to be polled to estimate the proportion of Democrats in a population within a 90% confidence interval with a 1% margin of error? ',0,'2011-07-31 14:29:31',0),(149,'From past experience, Professor X knows that his students\' final exam scores are approximately normally distributed random variables with mean 75 and standard deviation 5. What is the probability that a student\'s test score will exceed 85?',0.02,0.023,10,0,0,'What\'s the probability that a student scores over 85 on an exam with mean 75 and standard deviation 5?',0,'2011-08-02 14:57:54',0),(150,'From past experience, Professor X knows that his students\' final exam scores are (approximately normally distributed) random variables with mean 75 and standard deviation 5. What is the probability that a student scores 70 or higher?',0.835,0.845,10,0,0,'In the set-up of the previous problem, what\'s the probability that a student gets a C- or better (assuming there is no curve, so the cut-off for a C- is 70)?',0,'2011-08-02 15:04:47',0),(151,'For women aged 18-24 systolic blood pressure (in mm Hg) is normally distributed with a mean of 114.8 and a standard deviation of 13.1. Hypertension is defined as a systolic blood pressure above 140. \r\n<br><br>\r\nIf a woman between the ages of 18 and 24 is randomly selected, find the probability her systolic blood pressure is greater than 140.',0.02,0.03,5,0,0,'What\'s the probability that a randomly selected woman has hypertension? ',0,'2011-08-02 15:18:46',0),(152,'A student\'s GPA is the average of his grades in 30 classes, each of which can take on the integer values between 0 and 100. Assume that in each course, the instructor makes an error in grading of k with probability |.01/k|, where k can be any integer from -5 to 5. What is the probability that in a given class, the instructor made no grading errors?',0.95,0.96,10,0,5,'What is the probability that in a given class, the instructor made no grading errors, given the following information?',0,'2011-08-02 16:09:08',0),(153,'A student\'s GPA is the average of his grades in 30 classes, each of which can take on the integer values between 0 and 100. Assume that in each course, the instructor makes an error in grading of k with probability |.01/k|, where k can be any integer from -5 to 5. What is the probability that the average of the student\'s grade over all 30 classes is off due to grading errors by <b>no more</b> than .1?',0.68,0.69,10,0,0,'What is the probability that a student\'s GPA is off due to grading errors by <b>no more</b> than .1?',0,'2011-08-02 16:35:23',0),(154,'From practice problems: A card is drawn at random from a deck consisting of cards numbered 2 through 10. A player wins $1 if the number drawn is odd, and loses $1 if it\'s even. What are his expected winnings?',-0.112,-0.1,5,0,5,'From practice problems: Oct 19 worksheet, problem 1',0,'2011-08-03 12:30:04',0),(155,'A card is drawn at random from a deck of playing cards. If it\'s red, the players wins $1, and if it\'s black he loses $2. Find his expected winnings.',-0.5,-0.5,5,0,5,'From practice problems: Oct 19 worksheet, problem 2',0,'2011-08-03 12:30:57',0),(156,'An insurance company has 1000 policies on men of age 50. The company estimates that the probability that a man of age 50 dies within a year is .01. Estimate the number of claims that the company can expect from beneficiaries of these men within a year.',10,10,10,0,0,'From practice problems: Oct 23 worksheet, problem 3',0,'2011-08-03 12:32:42',0),(157,'Suppose we have an urn containing 100 yellow balls and 200 green balls. Suppose we draw 50 balls without replacement from the urn. What is the expected number of yellow balls drawn?',16.6,17,5,0,5,'From practice problems: Oct 23 worksheet, problem 4 (with c = 100, d = 200, k = 50)',0,'2011-08-03 12:35:39',0),(158,'A fair coin is tossed 100 times. What does Chebyshev\'s inequality tell you about the probability that the number of heads that turn up deviates from the expected number by at least 3 standard deviations? (enter an upper bound on this probability, as given by Chebyshev\'s inequality)',0.1,0.12,10,0,0,'From practice problems: Nov 2 worksheet, problem 1',0,'2011-08-03 12:38:23',0),(159,'Let X be a random variable with E[X] = 0 and V(X) = 1. What value of k will assure us that P(|X| &#8805; k) &#8804; .01? ',10,10,10,0,0,'From practice problems: Nov 2 worksheet, problem 2',0,'2011-08-03 12:41:19',0),(160,'From practice problems: Oct 28 worksheet, Problem 1 (enter the expected value)',0,0,2,0,0,'From practice problems: Oct 28 worksheet, Problem 1 (enter the expected value)',0,'2011-08-03 12:42:57',0),(161,'From practice problems: Oct 28 worksheet, Problem 1 (enter the variance)',0.66,0.67,3,0,0,'From practice problems: Oct 28 worksheet, Problem 1 (enter the variance)',0,'2011-08-03 12:43:43',0),(162,'From practice problems: Oct 28 worksheet, problem 2 (enter the expected value)',1.3,1.4,2,0,0,'From practice problems: Oct 28 worksheet, problem 2 (enter the expected value)',0,'2011-08-03 12:45:28',0),(163,'From practice problems: Oct 28 worksheet, problem 2 (enter the variance)',1.88,1.9,3,0,0,'From practice problems: Oct 28 worksheet, problem 2 (enter the variance)',0,'2011-08-03 12:46:26',0),(164,'Write a program that will generate a random distribution on the numbers from 1 to n. There are no numerical answers for this program, so for the numerical answer online just type 0. <br><br> Note that this program has TWO outputs -- random_sample and A. The tester will test whether you generate the correct distribution A given what you generated for random_sample. Use the file <a href=\"randomDistribution.m\" target=\"_blank\">randomDistribution.m</a>.',0,0,0,5,0,'Write a program that will generate a random distribution on the numbers from 1 to n. ',0,'2011-08-03 13:00:36',0),(165,'Write a program that generates the expected value and variance of a randomly generated distribution on the integers 1 through 105. Use the file <a href=\"statsOnRandomDistrib.m\" target=\"_blank\">statsOnRandomDistrib.m</a>.<br><br>Input the <b>variance</b> you get here for inputs n = 105, k = 1000000.<br>',916,920,5,10,0,'Write a program that generates the expected value and variance of a randomly generated distribution on the integers 1 through 105.',0,'2011-08-03 13:22:27',0),(166,'Suppose a teacher keeps giving the same 5-question T/F exam. Assuming each string of responses is equally likely, how many exams should the teacher expect to grade before she has seen all possible responses (e.g. TFFTT is one possible response, and it\'s different from TFTFT)?',129,130,10,0,5,'How many 5-question T/F exams should a teacher expect to grade before she has seen all possible responses?',0,'2011-08-04 18:11:40',0),(167,'Leunig\'s Bistro, a restaurant in downtown Burlington, had the following deal in Match 2009: At the end of the meal you roll 5 dice and if you get 5-of-a-kind, your meal is free. Otherwise, you get a discount equal to the sum of your rolls. e.g. if you rolled 3,2,4,2,1, then you get a 12% discount. What is your expected percent discount? (Remember: if you roll 5-of-a-kind your discount is 100%).',17.5,17.6,10,0,5,'Summer 2009 midterm, Question 9',0,'2011-08-05 13:57:28',0),(168,'Alice & Bob are playing poker. There are $100 in the pot and Bob bets $200. Alice can either call to win $300 if she wins the hand or lose $200 if she loses the hand, or she can fold, which wins and loses nothing. Bob accidentally shows his hand and Alice with her knowledge of probability computes that she has a probability of 44.75% of winning the hand. Determine whether she should call or fold (enter the value of E[winnings if call] - E[winnings if fold]).',23.7,23.8,10,0,0,'Summer 2009 midterm, Question 10',0,'2011-08-05 14:02:12',0),(169,'What value of k will guarantee a probability of at least .9 that a random walker who starts at position 0 will be (strictly) less than k steps away from his starting position after 100 moves? <br><br><b>Hint</b>: Use Chebyshev\'s inequality!',31,32,5,0,0,'What value of k will guarantee a probability of at least .9 that a random walker who starts at position 0 will be (strictly) less than k steps away from his starting position after 100 moves?',0,'2011-08-07 19:40:44',0),(170,'From the first midterm, we learned that after Hermione interviewed a lot of Hogwarts alums, she saw that if X is the number of times a person is called on per term, then E[X] = 4. What is V(X)?',4,4,5,0,0,'From the first midterm, we learned that after Hermione interviewed a lot of Hogwarts alums, she saw that if X is the number of times a person is called on per term, then E[X] = 4. What is V(X)?',0,'2011-08-07 22:08:54',0),(171,'A die is rolled three times. What is the probability that the sum of the rolls is greater than 9?',0.62,0.63,3,0,0,'A die is rolled three times. What is the probability that the sum of the rolls is greater than 9?',0,'2011-08-07 22:11:27',0),(172,'A die is rolled three times. What is the expected sum?',10.5,10.5,3,0,0,'A die is rolled three times. What is the expected sum?',0,'2011-08-07 22:13:40',0),(173,'Section 11.1, Exercise 1 (enter the first element of <b>w</b><sup>(2)</sup>)',0.43,0.44,1,0,0,'Section 11.1, Exercise 1 (enter the first element of <b>w</b><sup>(2)</sup>)',0,'2011-08-07 22:27:52',0),(174,'Section 11.1, Exercise 1 (enter the second element of <b>w</b><sup>(2)</sup>)',0.18,0.2,1,0,0,'Section 11.1, Exercise 1 (enter the second element of <b>w</b><sup>(2)</sup>)',0,'2011-08-07 22:31:08',0),(175,'Section 11.1, Exercise 1 (enter the third element of <b>w</b><sup>(2)</sup>)',0.37,0.4,1,0,0,'Section 11.1, Exercise 1 (enter the third element of <b>w</b><sup>(2)</sup>)',0,'2011-08-07 22:33:16',0),(176,'Section 11.1, Exercise 4',0.7,0.7,5,0,0,'Section 11.1, Exercise 4',0,'2011-08-08 00:54:58',0),(177,'Section 11.1, Exercise 6 (enter the first element of <b>w</b><sup>(n)</sup>)',0.25,0.25,2,0,0,'Section 11.1, Exercise 6 (enter the first element of <b>w</b><sup>(n)</sup>)',0,'2011-08-08 00:56:23',0),(178,'Section 11.1, Exercise 6 (enter the second element of <b>w</b><sup>(n)</sup>)',0.5,0.5,2,0,0,'Section 11.1, Exercise 6 (enter the second element of <b>w</b><sup>(n)</sup>)',0,'2011-08-08 00:56:51',0),(179,'Section 11.1, Exercise 6 (enter the third element of <b>w</b><sup>(n)</sup>)',0.25,0.25,2,0,0,'Section 11.1, Exercise 6 (enter the third element of <b>w</b><sup>(n)</sup>)',0,'2011-08-08 00:57:17',0),(180,'Section 11.1, Exercise 12 (enter the probability)',0.23,0.25,5,0,0,'Section 11.1, Exercise 12 (enter the probability)',0,'2011-08-08 00:58:30',0),(181,'Section 11.3, Exercise 2(b)',0.16,0.17,5,0,0,'Section 11.3, Exercise 2(b)',0,'2011-08-08 01:00:20',0),(182,'Section 11.3, Exercise 4 (enter the first element of <b>w</b>; suppose a = .2 and b = .6 in the problem set-up)',0.75,0.75,5,0,0,'Section 11.3, Exercise 4 (enter the first element of <b>w</b>)',0,'2011-08-08 01:02:36',0),(183,'Section 11.3, Exercise 18 (enter N(3))',5,5,5,0,0,'Section 11.3, Exercise 18 (enter N(3))',0,'2011-08-08 01:04:53',0),(184,'Write a program to simulate the outcomes of a Markov Chain after n steps given the initial starting state and the transition matrix. Use this program to find the distribution of the location of the museum drunk from the example we did in class, where the drunk could move among the rooms in the following way (each possibility being equally likely at each step). <br><br>\r\n\r\nRoom 1 to Room 2\r\n<br>Room 2 to Room 1 or Room 5\r\n<br>Room 3 to Room 4 or Room 5\r\n<br>Room 4 to Room 3\r\n<br>Room 5 to Room 2 or Room 3<br><br>\r\n\r\nFor the numerical answer, enter the probability that he is in Room 5 given that he started in Room 1 and took 30 steps. Use the file <a href=\"nStepOutcomes.m\" target=\"_blank\">nStepOutcomes.m</a>.',0.5,0.5,5,5,0,'Section 11.1, Exercise 15 ',0,'2011-08-08 17:12:41',0),(185,'Write a program that keeps track of how long absorption takes in the stepping stone model. If you like, you may use the <a href=\"steppingStonesFaster.m\" target=\"_blank\">steppingStones simulation</a> however you see fit. For the numerical answer here, enter the expected time to absorption for a 5 by 5 grid. To ensure accuracy, run the simulation at least 5,000 times. (It may take a while to run.)\r\n\r\n<br><br>\r\n\r\nUse the file <a href=\"absorbStones.m\" target=\"_blank\">absorbStones.m</a>.',450,475,10,10,0,'How long does absorption take in the stepping stone model? (i.e. how long before all the stones are of one color, given a random starting distribution)',0,'2011-08-11 12:03:21',0),(186,'You have 12 tiny turtles, 4 of them baby snapping turtles and 8 of them baby box turtles. You grab 3 of them. What is the expected number of snapping turtles in your hand?',1,1,5,0,0,'You have 12 tiny turtles, 4 of them baby snapping turtles and 8 of them baby box turtles. You grab 3 of them. What is the expected number of snapping turtles in your hand?',0,'2011-08-16 12:06:08',0),(187,'Let X<sub>1</sub>, ..., X<sub>n</sub> be an independent trials process with sum S<sub>n</sub> in which each X<sub>i</sub> has mean 0 and variance 1. Find the limit as n approaches &#8734; of P(|S<sub>n</sub>| &#8805; n).',0,0,5,0,0,' Find the limit as n approaches &#8734; of P(|S<sub>n</sub>| &#8805; n).',0,'2011-08-16 12:09:05',0),(188,'You\'re rolling an odd die: it is a six-sided die but two of its faces have a 1, two have a 3, and two have a 5. Find the expected value of the sum of 30 rolls of this die.',90,90,5,0,0,'Find the expected value of the sum of 30 rolls of an odd die.',0,'2011-08-16 12:12:59',0),(189,'You\'re rolling an odd die: it is a six-sided die but two of its faces have a 1, two have a 3, and two have a 5. Find the variance of the sum of 30 rolls of this die.',80,80,5,0,0,'Find the variance of the sum of 30 rolls of an odd die.',0,'2011-08-16 12:15:54',0),(190,'You\'re rolling an odd die: it is a six-sided die but two of its faces have a 1, two have a 3, and two have a 5. Estimate the probability that the sum of 30 rolls of this die is at least 100.',0.12,0.14,5,0,0,'Estimate the probability that the sum of 30 rolls of an odd die is at least 100.',0,'2011-08-16 12:16:30',0),(191,'You\'re rolling an odd die: it is a six-sided die but two of its faces have a 1, two have a 3, and two have a 5. Let S<sub>30</sub> be the sum of 30 rolls of this die. What value of k will guarantee that P(|S<sub>30</sub> - 90| &#8805; k) &#8804; 2/k?',40,40,5,0,0,'If S<sub>30</sub> is the sum of 30 rolls of an odd die, what value of k will guarantee that P(|S<sub>30</sub> - 90| &#8805; k) &#8804; 2/k?',0,'2011-08-16 12:17:50',0),(192,'If X is the number of times you have to flip a coin until you see heads for the 100<sup>th</sup> time, find k such that P(|X-k| &#8805; k) &#8804; 1/k.',200,200,5,0,0,'If X is the number of times you have to flip a coin until you see heads for the 100<sup>th</sup> time, find k such that P(|X-k| &#8805; k) &#8804; 1/k.',0,'2011-08-16 12:29:39',0),(193,'Suppose a drunk is walking along a 2-block stretch of Park Ave (see Figure 11.3 in your book). At streets 0 and 2, he stays there with probability 1/2 and goes to street 1 with probability 1/2. At street 1, he goes to street 0 or 2 with probability 1/2. What proportion of time, in the long term, does he spend at street 1? <br><br> Write a program that will generate a probability distribution for the probabilities of ending up at a particular block given how long he walked and where he started. Use the file <a href=\"parkAve.m\" target=\"_blank\">parkAve.m</a>. Enter the second element here of the output of parkAve(2,0,100,10000).',0.3,0.34,10,10,0,'Suppose a drunk is walking along a 2-block stretch of Park Ave. What proportion of time, in the long term, does he spend at the middle intersection?',0,'2011-08-16 13:05:06',0),(194,'Suppose that a drunk is taking a random walk on an infinite number line. Estimate the probability that if he starts at 0, then he is back at 0 after exactly 50 steps.',0.05,0.113,5,0,0,'Suppose that a drunk is taking a random walk on an infinite number line. Estimate the probability that if he starts at 0, then he is back at 0 after exactly 50 steps.',0,'2011-08-18 10:05:22',0),(195,'What is the expected number of heads in 100 flips of a fair coin given that the last 20 flips ended up being heads?',60,60,5,0,0,'What is the expected number of heads in 100 flips of a fair coin given that the last 20 flips ended up being heads?',0,'2011-08-18 10:06:11',0),(196,'On average, how many dice do you have to roll before you\'ve seen all possible even rolls?',11,11,5,0,0,'On average, how many dice do you have to roll before you\'ve seen all possible even rolls?',0,'2011-08-18 10:06:38',0),(197,'Consider a Bernoulli trials process with p = .1. Let X be the number of trials until the first success. What is V(X)?',90,90,5,0,0,'Consider a Bernoulli trials process with p = .1. Let X be the number of trials until the first success. What is V(X)?',0,'2011-08-18 10:07:20',0),(198,'For this exercise, you just need to build a Chutes \'n\' Ladders game board -- no game play needs to programmed in at this point. Here is a picture of the game board: \r\n<br>\r\n<center>\r\n<a href=\"chutesladders.jpg\" target=\"_blank\">\r\n<img src=\"chutesladders.jpg\" height=200px width=200px>\r\n</a> \r\n<br>\r\n(click for larger view) </center> \r\n<br>\r\n\r\nStore the game board as a 10 by 10 matrix with cells numbered as they appear on the Chutes \'n\' Ladders board. You do not need to incorporate the \"chutes\" and \"ladders\" that appear on the board -- only the numbers in the squares. Your output should look like this:\r\n<br>\r\n<center>\r\n<img src=\"chutesmatrix.jpg\">\r\n</center>\r\n Use the file <a href=\"buildChutesNLadders.m\" target=\"_blank\">buildChutesNLadders.m</a>. For the numerical answer here, if board = buildChutesNLadders() is the game board your code generates, enter the value of board(2,3).\r\n<br><br>\r\nNote: The point of this exercise is to get some practice building matrices in Matlab. Note that the rows go from bottom to top and alternate direction.',83,83,0,10,0,'Build a Chutes \'n\' Ladders game board!',0,'2011-08-18 19:39:53',0),(199,'Play a solo game of Chutes N Ladders at least 1000 times and record the average amount of time the game took to complete. Recall that the game board looks like this: \r\n<br>\r\n<center>\r\n<a href=\"chutesladders.jpg\" target=\"_blank\">\r\n<img src=\"chutesladders.jpg\" height=200px width=200px>\r\n</a> \r\n<br>\r\n(click for larger view) </center> \r\n<br>\r\n\r\nWhenever you land on the higher number side of a \"chute,\" you go down to the lower number. Whenever you land on the lower number side of a \"ladder,\" you go up to the higher number. The game continues until you get to 100. (e.g. If you are at, say, 98 and you roll a 6, that would win the game.) The ladders are located at squares 1, 4, 9, 21, 28, 36, 51, 71, and 80. The chutes are located at squares 98, 95, 93, 87, 62, 64, 56, 47, 49, 16. (You can see the corresponding numbers on the other side of each chute/ladder on the game board.)\r\n<br><br>\r\nNote: When the game begins, you are at square 0; this is the only time you can get to square 0.  Use the file <a href=\"ChutesNLadders.m\" target=\"_blank\">ChutesNLadders.m</a>.',34,37.5,10,10,0,'How many turns does an average game of Chutes \'N\' Ladders require? ',0,'2011-08-23 13:10:30',0);
/*!40000 ALTER TABLE `questionDB` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `questions`
--

DROP TABLE IF EXISTS `questions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `questions` (
  `qID` int(11) NOT NULL,
  `question` varchar(3000) DEFAULT NULL,
  `ansMin` float DEFAULT NULL,
  `ansMax` float DEFAULT NULL,
  `probPoints` int(11) DEFAULT NULL,
  `progPoints` int(11) DEFAULT NULL,
  `combPoints` int(11) DEFAULT NULL,
  `summary` varchar(200) DEFAULT NULL,
  `hasUpload` int(11) DEFAULT NULL,
  `questionPosted` datetime DEFAULT NULL,
  `isHW` int(11) DEFAULT NULL,
  PRIMARY KEY (`qID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `questions`
--

LOCK TABLES `questions` WRITE;
/*!40000 ALTER TABLE `questions` DISABLE KEYS */;
INSERT INTO `questions` VALUES (1,'Let T > 0. Let C denote a European call option (on a stock S) with exercise date T and strike price K<sub>C</sub> = $50. What is the value of C(T) if S(T) = $53.47?',3.47,3.47,0,0,1,'Find the value of the following European call option at time T. (K<sub>C</sub> = $50, S(T) = $53.47)',0,'2014-05-20 07:51:15',0),(2,'Let T > 0. Let P denote a European put option (on a stock S) with exercise date T and strike price K<sub>P</sub> = $47.50. What is the value of P(T) if S(T) = $53.47?',0,0,0,0,1,'Find the value of the following European put option at time T. (K<sub>P</sub> = $47.50, S(T) = $53.47)',0,'2014-05-20 07:55:27',0),(3,'Let T > 0. Let C denote a European put option (on a stock S) with exercise date T and strike price K<sub>C</sub> = $50. What is the value of C(T) if S(T) = $48.52?',0,0,0,0,1,'Find the value of the following European call option at time T. (K<sub>C</sub> = $50, S(T) = $48.52)',0,'2014-05-20 07:56:42',0),(4,'Let T > 0. Let P denote a European put option (on a stock S) with exercise date T and strike price K<sub>P</sub> = $47.50. What is the value of P(T) if S(T) = 48.52?',0,0,0,0,1,'Find the value of the following European put option at time T. (K<sub>P</sub> = $47.50, S(T) = $48.52)',0,'2014-05-20 07:57:00',0),(5,'Let T > 0. Let C denote a European call option (on a stock S) with exercise date T and strike price K<sub>C</sub> = $50. What is the value of C(T) if S(T) = $42.71?',0,0,0,0,1,'Find the value of the following European call option at time T. (K<sub>C</sub> = $50, S(T) = $42.71)	',0,'2014-05-20 08:04:01',0),(6,'Let T > 0. Let P denote a European put option (on a stock S) with exercise date T and strike price K<sub>P</sub> = $47.50. What is the value of P(T) if S(T) = $42.71?',4.79,4.79,0,0,1,'Find the value of the following European put option at time T. (K<sub>P</sub> = $47.50, S(T) = $42.71)',0,'2014-05-20 08:08:20',0),(7,'Stock of the Lemongrab Company is currently trading at the price of S(0) = $46 per share. European call options on the stock with T = 1 and strike price K<sub>C</sub> = $55 are currently trading at the price of C(0) = $1 per option and European put options on the stock with T = 1 and strike price K<sub>P</sub> = $50 are currently trading at the price of P(0) = $5 per option. At t = 0, Louis CK---an investor with no initial capital---sells short 1,000 of the put options described above and uses the proceeds of the short sale to purchase as many of the call options described above as possible. Assume that Louie does not make any trades between t=0 and t=1. Find the value of his portfolio at t = 1 if S(1) = $60.',25000,25000,0,0,1,'Find the value of Louis CK\'s portfolio after he shorts 1,000 puts in order to buy calls (P(0) = $5, K<sub>P</sub> = $50, C(0) = $1, K<sub>C</sub> = $55; S(0) = $46, S(1) = $60). ',0,'2014-05-20 08:17:55',0),(8,'Stock of the Lemongrab Company is currently trading at the price of S(0) = $46 per share. European call options on the stock with T = 1 and strike price K<sub>C</sub> = $55 are currently trading at the price of C(0) = $1 per option and European put options on the stock with T = 1 and strike price K<sub>P</sub> = $50 are currently trading at the price of P(0) = $5 per option. At t = 0, Louis CK---an investor with no initial capital---sells short 1,000 of the put options described above and uses the proceeds of the short sale to purchase as many of the call options described above as possible. Assume that Louie does not make any trades between t=0 and t=1. Find the value of his portfolio at t = 1 if S(1) = $35.',-15000,-15000,0,0,1,'Find the value of Louis CK\'s portfolio after he shorts 1,000 puts in order to buy calls (P(0) = $5, K<sub>P</sub> = $50, C(0) = $1, K<sub>C</sub> = $55; S(0) = $46, S(1) = $35). ',0,'2014-05-20 08:18:34',0),(9,'Stock of Rainicorns, Inc. is currently trading at the price of S(0) = $40 per share. European call options on the stock with T = 0.5 years and strike price K<sub>C</sub> = $45 are currently trading at the price of C(0) = $0.40 per option. At t = 0, Jon Hamm purchases 500 of the call options described above and takes a short position on a forward contract for delivery of 500 shares of stock at the delivery date T = 0.5 and the forward price of F = $41 per share. Assume that Mr. Hamm does not make any trades between t = 0 and t = 0.5.\r\n<p>\r\nWhat is the initial capital of this strategy?',200,200,0,0,1,'How much initial capital does Jon Hamm need to sell 500 calls and take the short position on a forward? (C(0) = $0.40, K<sub>C</sub> = $45, T = 0.5 years, S(0) = $40; F = $41, T = 0.5)',0,'2014-05-20 08:34:40',0),(10,'Stock of Rainicorns, Inc. is currently trading at the price of S(0) = $40 per share. European call options on the stock with T = 0.5 years and strike price K<sub>C</sub> = $45 are currently trading at the price of C(0) = $0.40 per option. At t = 0, Jon Hamm purchases 500 of the call options described above and takes a short position on a forward contract for delivery of 500 shares of stock at the delivery date T = 0.5 and the forward price of F = $41 per share. Assume that Mr. Hamm does not make any trades between t = 0 and t = 0.5.\r\n<p>\r\nFind the value of his portfolio at t = 0.5 if S(0.5) = $25.',8000,8000,0,0,1,'What is the value of Jon Hamm\'s portfolio at T = 0.5? (C(0) = $0.40, K<sub>C</sub> = $45, T = 0.5 years, S(0) = $40; F = $41, T = 0.5; S(0.5) = $25)',0,'2014-05-20 08:36:00',0),(11,'Stock of Rainicorns, Inc. is currently trading at the price of S(0) = $40 per share. European call options on the stock with T = 0.5 years and strike price K<sub>C</sub> = $45 are currently trading at the price of C(0) = $0.40 per option. At t = 0, Jon Hamm purchases 500 of the call options described above and takes a short position on a forward contract for delivery of 500 shares of stock at the delivery date T = 0.5 and the forward price of F = $41 per share. Assume that Mr. Hamm does not make any trades between t = 0 and t = 0.5.\r\n<p>\r\nFind the value of his portfolio at t = 0.5 if S(0.5) = $48.',-2000,-2000,0,0,1,'What is the value of Jon Hamm\'s portfolio at T = 0.5? (C(0) = $0.40, K<sub>C</sub> = $45, T = 0.5 years, S(0) = $40; F = $41, T = 0.5; S(0.5) = $48)',0,'2014-05-20 08:37:12',0),(12,'Suppose that today, stock in Tree Trunks Co. is trading at S<sub>0</sub> = $10 per share. European call options on the stock with strike price K = $10 and maturity date T = 1 year are trading at the current price of $C(0) = $0.80 per option. Jonah Hill and Andy Samberg each want to invest exactly $1000 in Tree Trunks today. Jonah plans to do it by putting all of his money into buying call options, and Andy wants to put all of his money into buying shares of stock. Let S<sub>1</sub> be the price of the stock in one year. For what value of S<sub>1</sub> will Jonah\'s investment be worth the same as Andy\'s investment at T = 1 year from today?',10.86,10.9,0,0,1,'What does the price of Tree Trunks Co. stock have to be in one year to make Andy Samberg and Jonah Hill\'s portfolios be worth the same amount of money?',0,'2014-05-23 09:38:13',0),(13,'A die is rolled three times. What is the probability that the sum of the rolls is greater than 9?',0.62,0.63,1,0,0,'A die is rolled three times. What is the probability that the sum of the rolls is greater than 9?',0,'2014-05-23 10:13:06',0),(14,'A street vendor in NYC is selling Gucci bags. Each bag is a fake with probability .9. Ben Affleck purchases 10 bags from the vendor. What\'s the probability that Ben ends up with at least one real Gucci bag?',0.65,0.7,1,0,0,'If Ben Affleck purchases 10 Gucci bags from an unsavory street vendor, what\'s the probability that he ends up with at least one real one?',0,'2014-05-23 10:14:27',0),(15,'A street vendor in NYC is selling Gucci bags. Each bag is a fake with probability .9. Ben Affleck purchases 10 bags from the vendor. What\'s the expected number of real Gucci bags among Ben\'s purchases?',1,1,1,0,0,'If Ben Affleck purchases 10 Gucci bags from an unsavory street vendor, what\'s the expected number of non-knockoffs he ends up with?',0,'2014-05-23 10:23:37',0),(16,'Suppose that stocks in Stormo and Goliad are currently being traded, and we estimate that the probability that Stormo will be trading at over $100 per share in one year is .7, while the probability that Goliad will be trading at over $100 per share in one year is .6. Let M be the maximum of {value of one share of Stormo stock in one year, value of one share of Goliad stock in one year}. What is the probability that M is at most 100?\r\n\r\n<p>\r\n\r\nNote: You may assume that the value of Stormo stock and the value of Goliad stock are independent of each other.',0.12,0.12,1,0,1,'What is the probability that max{Stormo, Goliad} &#8804; 100?',0,'2014-05-23 10:41:34',0),(17,'Suppose we have an unfair coin, which comes up heads <sup>2</sup>&frasl;<sub>3</sub> of the time and tails <sup>1</sup>&#8260;<sub>3</sub> of the time.\r\n<p>\r\nWhat is the probability that the first toss is a heads, and the next three tosses in a row are all tails?',0.02,0.025,1,0,0,'What\'s the probability of tossing HTTT with an unfair coin?',0,'2014-05-23 12:03:13',0),(18,'Suppose we have an unfair coin, which comes up heads <sup>2</sup>&frasl;<sub>3</sub> of the time and tails <sup>1</sup>&frasl;<sub>3</sub> of the time. \r\n<p>\r\nWe toss the coin 30 times and record the results after each toss. What is the\r\nexpected number of heads?',20,20,1,0,0,'What is the expected number of heads in 30 tosses of an unfair coin?',0,'2014-05-23 12:04:22',0);
/*!40000 ALTER TABLE `questions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tupload`
--

DROP TABLE IF EXISTS `tupload`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tupload` (
  `uID` int(11) DEFAULT NULL,
  `user` varchar(10) DEFAULT NULL,
  `qID` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tupload`
--

LOCK TABLES `tupload` WRITE;
/*!40000 ALTER TABLE `tupload` DISABLE KEYS */;
/*!40000 ALTER TABLE `tupload` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tuploads`
--

DROP TABLE IF EXISTS `tuploads`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tuploads` (
  `uID` int(11) DEFAULT NULL,
  `user` varchar(10) DEFAULT NULL,
  `qID` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tuploads`
--

LOCK TABLES `tuploads` WRITE;
/*!40000 ALTER TABLE `tuploads` DISABLE KEYS */;
/*!40000 ALTER TABLE `tuploads` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `uploads`
--

DROP TABLE IF EXISTS `uploads`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uploads` (
  `uID` int(11) NOT NULL AUTO_INCREMENT,
  `qID` int(11) DEFAULT NULL,
  `user` varchar(20) DEFAULT NULL,
  `uploadTime` datetime DEFAULT NULL,
  `correct` int(11) DEFAULT NULL,
  PRIMARY KEY (`uID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uploads`
--

LOCK TABLES `uploads` WRITE;
/*!40000 ALTER TABLE `uploads` DISABLE KEYS */;
/*!40000 ALTER TABLE `uploads` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `id` varchar(20) NOT NULL DEFAULT '',
  `password` varchar(10) DEFAULT NULL,
  `type` varchar(1) DEFAULT NULL,
  `fakeid` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES ('asa','icpwonnie','A','McWhoppin'),('avannest','avannest','S','Bill Miller'),('bclaibor','bclaibor','S','Philip Fisher'),('ghauser','ghauser','S','Bill Gross'),('guest','guest','G','Mr. Magoo'),('kborst','kborst','S','Warren Buffett'),('kkuzemch','kkuzemch','S','John Templeton'),('kpilewsk','kpilewsk','S','Carl Icahn'),('ljallen','ljallen','S','John \"Jack\" Bogle'),('mshahir','mshahir','S','Michael Steinhardt'),('neagan','neagan','S','Benjamin Graham'),('nkom','gandolfo','A','McLovin'),('rspenc1','rspenc1','S','Jesse L. Livermore'),('ssemsiog','ssemsiog','S','George Soros'),('tsaesue','tsaesue','G','TA'),('tschuste','tschuste','S','Peter Lynch'),('woosubs','woosubs','S','David Dreman');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping routines for database 'wonnie'
--
/*!50003 DROP PROCEDURE IF EXISTS `updateAchievements` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
CREATE DEFINER=`iwonnie`@`localhost` PROCEDURE `updateAchievements`(IN spuser nvarchar(20))
BEGIN
  DECLARE achievement1 int DEFAULT 0;
  DECLARE time datetime;
  CREATE TEMPORARY TABLE aOld (aID int);
  CREATE TEMPORARY TABLE aNew (aID int);
  SET time = NOW();


create temporary table curUserSnapshot(rank int, id nvarchar(10), totalPoints int, probPoints int, progPoints int, combPoints int);
create temporary table pointData(rank int, id nvarchar(10), totalPoints int, probPoints int, progPoints int, combPoints int);
create temporary table uoPointData(id nvarchar(10), totalPoints int, probPoints int, progPoints int, combPoints int);
INSERT INTO pointData(id, totalPoints, probPoints, progPoints, combPoints)
select id user, IFNULL(sum(probPoints) + sum(progPoints) + sum(combPoints), 0) as total, IFNULL(sum(probPoints),0) as totProb, IFNULL(sum(progPoints),0) as totProg, IFNULL(sum(combPoints),0) as totComb from questions q inner join attempts a on q.qID = a.qID and a.correct = 1 and attemptTime <= time inner join users u on a.user = u.id where type='S' group by a.user order by total desc;
INSERT INTO uoPointData(id, totalPoints, probPoints, progPoints, combPoints)
select id user, IFNULL(sum(probPoints) + sum(progPoints) + sum(combPoints), 0) as total, IFNULL(sum(probPoints),0) as totProb, IFNULL(sum(progPoints),0) as totProg, IFNULL(sum(combPoints),0) as totComb from questions q inner join attempts a on q.qID = a.qID and a.correct = 1 and attemptTime <= time inner join users u on a.user = u.id where type='S' group by a.user order by total desc;
Update pointData pd set rank = (select count(*) + 1 from uoPointData uo where pd.totalPoints < uo.totalPoints);
insert into curUserSnapshot
select * from pointData where id = spuser;
drop table pointData;
drop table uoPointData;


SET time = subdate(NOW(), INTERVAL 24 HOUR);

create temporary table oldUserSnapshot(rank int, id nvarchar(10), totalPoints int, probPoints int, progPoints int, combPoints int);
create temporary table pointData(rank int, id nvarchar(10), totalPoints int, probPoints int, progPoints int, combPoints int);
create temporary table uoPointData(id nvarchar(10), totalPoints int, probPoints int, progPoints int, combPoints int);
INSERT INTO pointData(id, totalPoints, probPoints, progPoints, combPoints)
select id user, IFNULL(sum(probPoints) + sum(progPoints) + sum(combPoints), 0) as total, IFNULL(sum(probPoints),0) as totProb, IFNULL(sum(progPoints),0) as totProg, IFNULL(sum(combPoints),0) as totComb from questions q inner join attempts a on q.qID = a.qID and a.correct = 1 and attemptTime <= time inner join users u on a.user = u.id where type='S' group by a.user order by total desc;
INSERT INTO uoPointData(id, totalPoints, probPoints, progPoints, combPoints)
select id user, IFNULL(sum(probPoints) + sum(progPoints) + sum(combPoints), 0) as total, IFNULL(sum(probPoints),0) as totProb, IFNULL(sum(progPoints),0) as totProg, IFNULL(sum(combPoints),0) as totComb from questions q inner join attempts a on q.qID = a.qID and a.correct = 1 and attemptTime <= time inner join users u on a.user = u.id where type='S' group by a.user order by total desc;
Update pointData pd set rank = (select count(*) + 1 from uoPointData uo where pd.totalPoints < uo.totalPoints);
insert into oldUserSnapshot
select * from pointData where id = spuser;
drop table pointData;
drop table uoPointData;


  INSERT INTO aOld
  SELECT a.aID
  FROM achievements a 
    LEFT OUTER JOIN achievementData ad on a.aID = ad.aID and ad.user = spuser
  where ad.status = '1';

  IF ((select count(*) from aOld where aID = 1) = 0) THEN
    SELECT CASE WHEN ((select count(*) from users where password <> id and id = spuser) > 0) THEN 1 ELSE 0 END INTO achievement1;
    IF (achievement1 > 0) THEN 
      INSERT INTO aNew Values (1);
      INSERT INTO achievementData (aID, user, status, time) VALUES (1, spuser, '1', NOW());
    END IF;
  END IF;

  IF ((select count(*) from aOld where aID = 2) = 0) THEN
    IF ((select count(distinct qID) from attempts where user = spuser) >= 1)  THEN
      INSERT INTO aNew Values (2);
      INSERT INTO achievementData (aID, user, status, time) VALUES (2, spuser, '1', NOW());
    END IF;
  END IF;

  IF ((select count(*) from aOld where aID = 3) = 0) THEN
    IF ((select count(distinct qID) from attempts where user = spuser and correct='1') >= 1)  THEN
      INSERT INTO aNew Values (3);
      INSERT INTO achievementData (aID, user, status, time) VALUES (3, spuser, '1', NOW());
    END IF;
  END IF;

  IF ((select count(*) from aOld where aID = 4) = 0) THEN
    IF ((select count(distinct qID) from attempts where user = spuser) >= 5)  THEN
      INSERT INTO aNew Values (4);
      INSERT INTO achievementData (aID, user, status, time) VALUES (4, spuser, '1', NOW());
    END IF;
  END IF;

  IF ((select count(*) from aOld where aID = 5) = 0) THEN
    IF ((select count(distinct qID) from attempts where user = spuser and correct='1') >= 5)  THEN
      INSERT INTO aNew Values (5);
      INSERT INTO achievementData (aID, user, status, time) VALUES (5, spuser, '1', NOW());
    END IF;
  END IF;

  IF ((select count(*) from aOld where aID = 6) = 0) THEN
IF (((select rank from oldUserSnapshot)-(select rank from curUserSnapshot))>=5) THEN 
      INSERT INTO aNew Values (6);
      INSERT INTO achievementData (aID, user, status, time) VALUES (6, spuser, '1', NOW());
END IF;
  END IF;
  
  IF (((select count(*) from aNew where aID = 6) = 0) AND ((select count(*) from aOld where aID = 6) = 0)) THEN
IF ((select rank from curUserSnapshot)=1) THEN 
      INSERT INTO aNew Values (6);
      INSERT INTO achievementData (aID, user, status, time) VALUES (6, spuser, '1', NOW());
    END IF;
  END IF;  
  
  IF ((select count(*) from aOld where aID = 7) = 0) THEN
    IF ((SELECT min(timeTaken) from (SELECT q.qID, HOUR(TIMEDIFF(a.attemptTime, q.questionPosted)) timeTaken from questions q INNER JOIN attempts a on q.qID = a.qID and user = spuser and correct='1' group by q.qID) as times) <= 24) THEN
      INSERT INTO aNew Values (7);
      INSERT INTO achievementData (aID, user, status, time) VALUES (7, spuser, '1', NOW());
    END IF;
  END IF;

  IF ((select count(*) from aOld where aID = 8) = 0) THEN
    IF ((SELECT sum(probPoints) FROM questions q INNER JOIN attempts a on q.qID = a.qID and user = spuser and correct='1') >= 10) THEN
      INSERT INTO aNew Values (8);
      INSERT INTO achievementData (aID, user, status, time) VALUES (8, spuser, '1', NOW());
    END IF;
  END IF;
  
  IF ((select count(*) from aOld where aID = 9) = 0) THEN
    IF ((SELECT sum(combPoints) FROM questions q INNER JOIN attempts a on q.qID = a.qID and user = spuser and correct='1') >= 20) THEN
      INSERT INTO aNew Values (9);
      INSERT INTO achievementData (aID, user, status, time) VALUES (9, spuser, '1', NOW());
    END IF;
  END IF;
  
  IF ((select count(*) from aOld where aID = 10) = 0) THEN
    IF ((SELECT sum(progPoints) FROM questions q INNER JOIN attempts a on q.qID = a.qID and user = spuser and correct='1') >= 10) THEN
      INSERT INTO aNew Values (10);
      INSERT INTO achievementData (aID, user, status, time) VALUES (10, spuser, '1', NOW());
    END IF;
  END IF;

  SELECT a.aID, a.achievementName from aNew an INNER JOIN achievements a on an.aID = a.aID;
  DROP TABLE aNew, aOld, curUserSnapshot, oldUserSnapshot;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2014-05-25 17:37:47
